/**
 *  Creator: Christian Hotz
 *  Company: hydra newmedia GmbH
 *  Date: 12.06.16
 *
 *  Copyright hydra newmedia GmbH
 */
"use strict";
/**
 *  Imports
 */
var mongoose_1 = require('mongoose');
var DiffSchema = (function () {
    function DiffSchema() {
        this.name = 'ChrobjectDiff';
        this.schema = new mongoose_1.Schema({
            metadata: {
                creator: {
                    user: String,
                    source: String
                },
                timestamp: Date,
                objId: String,
                entity: String,
                linkId: String
            },
            obj: []
        });
    }
    DiffSchema.prototype.getName = function () {
        return this.name;
    };
    DiffSchema.prototype.getSchema = function () {
        return this.schema;
    };
    return DiffSchema;
}());
exports.DiffSchema = DiffSchema;
