/**
 *  Creator: Christian Hotz
 *  Company: hydra newmedia GmbH
 *  Date: 12.06.16
 *
 *  Copyright hydra newmedia GmbH
 */
/**
 *  Imports
 */
import * as mongoose from 'mongoose';
import { Model } from 'mongoose';
import { IModel } from 'mongoose-repo';
import { Snapshot } from '../../../utils/Snapshot';
import { EntryModel } from './EntryModel';
export declare class SnapshotModel extends EntryModel implements IModel<SnapshotDocument> {
    constructor(snapshot: Snapshot);
}
export interface SnapshotDocument extends mongoose.Document, SnapshotModel {
}
export declare var SnapshotCollection: Model<SnapshotDocument>;
