/**
 *  Creator: Christian Hotz
 *  Company: hydra newmedia GmbH
 *  Date: 16.06.16
 *
 *  Copyright hydra newmedia GmbH
 */
export declare class ArrayDiff {
    action: ArrayDiffAction;
    added: boolean;
    moved: boolean;
    removed: boolean;
    index: number;
    oldIndex: number;
    newIndex: number;
    value: any;
    constructor(action: ArrayDiffAction, index: number, value: any, newIndex?: number);
}
export declare type ArrayDiffAction = 'added' | 'moved' | 'removed';
