/**
 *  Creator: Christian Hotz
 *  Company: hydra newmedia GmbH
 *  Date: 11.06.16
 *
 *  Copyright hydra newmedia GmbH
 */
/**
 *  Imports
 */
import { Entry } from './Entry';
import { Entity } from './Entity';
import { Creator } from './Creator';
import { IDeepDiff } from './IDeepDiff';
export declare class Diff implements Entry {
    id: string;
    entity: Entity;
    creator: Creator;
    obj: IDeepDiff[];
    objId: string;
    timestamp: Date;
    linkId: string;
    constructor(diff: IDeepDiff[], objId: string, entity: Entity, creator: Creator, timestamp: Date, id?: string, linkId?: string);
    isEmpty(): boolean;
    setId(id: string): Diff;
    linkToId(linkId: string): Diff;
    clone(): Diff;
}
