/**
 *  Creator: Christian Hotz
 *  Company: hydra newmedia GmbH
 *  Date: 15.06.16
 *
 *  Copyright hydra newmedia GmbH
 */
/**
 *  Imports
 */
import { ArrayDiff } from './ArrayDiff';
export interface IDeepDiff {
    action: DiffAction;
    created?: boolean;
    edited?: boolean;
    deleted?: boolean;
    array?: boolean;
    propertyPath: string;
    oldValue?: any;
    newValue?: any;
    arrayDiffs?: ArrayDiff[];
}
export declare type DiffAction = 'created' | 'edited' | 'deleted' | 'array';
