/**
 *  Creator: Christian Hotz
 *  Company: hydra newmedia GmbH
 *  Date: 12.06.16
 *
 *  Copyright hydra newmedia GmbH
 */
/**
 *  Imports
 */
import * as mongoose from 'mongoose';
import { IModel } from 'mongoose-repo';
import { Diff } from '../../../utils/Diff';
import { EntryModel } from './EntryModel';
import { Model } from 'mongoose';
export declare class DiffModel extends EntryModel implements IModel<DiffDocument> {
    constructor(diff: Diff);
}
export interface DiffDocument extends mongoose.Document, DiffModel {
}
export declare var DiffCollection: Model<DiffDocument>;
