/**
 *  Creator: Christian Hotz
 *  Company: hydra newmedia GmbH
 *  Date: 12.06.16
 *
 *  Copyright hydra newmedia GmbH
 */
"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 *  Imports
 */
var mongoose = require('mongoose');
var _ = require('lodash');
var DiffSchema_1 = require('./DiffSchema');
var EntryModel_1 = require('./EntryModel');
var DiffModel = (function (_super) {
    __extends(DiffModel, _super);
    function DiffModel(diff) {
        _super.call(this, diff);
        if (diff.linkId) {
            _.set(this.metadata, 'linkId', diff.linkId);
        }
    }
    return DiffModel;
}(EntryModel_1.EntryModel));
exports.DiffModel = DiffModel;
var schema = new DiffSchema_1.DiffSchema();
exports.DiffCollection = mongoose.model(schema.getName(), schema.getSchema());
