import { IDeepDiff, DiffAction } from './IDeepDiff';
import { ArrayDiff } from './ArrayDiff';
export declare class DeepDiff implements IDeepDiff {
    action: DiffAction;
    created: boolean;
    edited: boolean;
    deleted: boolean;
    array: boolean;
    propertyPath: string;
    oldValue: any;
    newValue: any;
    arrayDiffs: ArrayDiff[];
    constructor(action: DiffAction, propertyPath: string, oldValue: any, newValue: any);
    setArrayDiffs(one: any[], two: any[]): void;
}
