import { Entry } from './Entry';
import { Entity } from './Entity';
import { Creator } from './Creator';
export declare class Snapshot implements Entry {
    id: string;
    entity: Entity;
    creator: Creator;
    obj: Object;
    objId: string;
    timestamp: Date;
    constructor(obj: Object, entity: Entity, creator: Creator, timestamp: Date, id?: string);
    isEmpty(): boolean;
    setId(id: string): Snapshot;
    setObjId(objId: string): Snapshot;
    clone(): Snapshot;
}
